Subject: Re: bug#74404: [PATCH] Give Completion Preview bindings higher precedence
From: Stefan Kangas <[email-masked]>
To: Eshel Yaron <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, Stefan Monnier <[email-masked]>, Sean Whitton <[email-masked]>
Date: Tue, 11 Feb 2025 11:16:16 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eshel Yaron <[email-masked]> writes:

> close 74492 31.1
> quit
>
> Hi,
>
> Sean Whitton <[email-masked]> writes:
>
>> Hello,
>>
>> On Sun 17 Nov 2024 at 12:16pm -05, Stefan Monnier via "Bug reports for
>> GNU Emacs, the Swiss army knife of text editors" wrote:
>>
>>> BTW, maybe we should add some notion of minor mode precedence since such
>>> problems are actually fairly common.  We could do something similar to
>>> what we do with `add-hook`, so `add-minor-mode` takes care of obeying
>>> the ordering constraints.
>>
>> We could also have a customisation option that allows the user to
>> override the default priorities.  As minor modes are always interned
>> symbols, this would be possible in a way that it isn't for hook
>> priorities.
>
> I've opened bug#74492 to discuss this broader topic of explicit minor
> mode precedence.  For now, I've pushed my patch solving this particular
> issue with Completion Preview mode to master (commit 30bcba27c8c).
>
> With that, I'm closing this bug.

It seems like the bug was not closed, so I'm doing that now.